#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kbd
Version		:	2.6.4
Release		:	16.2.0.rel%{?dist}
Summary		:	Tools for configuring the console (keyboard, virtual terminals, etc.)
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/legionus/kbd

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-backspace-1.patch
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk-doc

Requires	:	gettext
#-----------------------------------------------------------------------------
%description
The %{name} package contains tools for managing a Linux
system's console's behavior, including the keyboard, the screen
fonts, the virtual terminals and font files.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING CREDITS NEWS README
%{_bindir}/*
%{_datadir}/consoletrans
%{_datadir}/consolefonts
%{_datadir}/keymaps/include/compose.*
%{_datadir}/keymaps/include/vim-compose.latin1
%{_datadir}/keymaps/amiga/*
%{_datadir}/keymaps/atari/*
%{_datadir}/keymaps/mac/*
%{_datadir}/keymaps/i386/*
%{_datadir}/keymaps/pine/*
%{_datadir}/keymaps/ppc
%{_datadir}/keymaps/sun/*
%{_datadir}/unimaps/*.uni
%{_datadir}/unimaps/README
%{_defaultdocdir}/%{name}-%{version}/dvorak/*
%{_defaultdocdir}/%{name}-%{version}/font-formats/*
%{_defaultdocdir}/%{name}-%{version}/A20/*
%{_defaultdocdir}/%{name}-%{version}/pine/*
%{_defaultdocdir}/%{name}-%{version}/scancodes/*
%{_defaultdocdir}/%{name}-%{version}/repeat/*
%{_defaultdocdir}/%{name}-%{version}/utf/*
%{_defaultdocdir}/%{name}-%{version}/*.{html,text,gif}
%{_defaultdocdir}/%{name}-%{version}/iso*.txt
%{_defaultdocdir}/%{name}-%{version}/kbd*.txt
%{_defaultdocdir}/%{name}-%{version}/cp1252.txt
%{_defaultdocdir}/%{name}-%{version}/*.{info,sgml}
%{_defaultdocdir}/%{name}-%{version}/*.{doc,docs,kbd}
%{_defaultdocdir}/%{name}-%{version}/TODO
%{_defaultdocdir}/%{name}-%{version}/README.Crosser
%{_defaultdocdir}/%{name}-%{version}/cirrus.videomodes
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif

sed -i							\
  -e 's/\(RESIZECONS_PROGS=\)yes/no/g'			\
  configure
sed -i							\
  -e 's/resizecons.8 //'				\
  docs/man/man8/Makefile.in


./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-nls					\
	--disable-static				\
	--disable-vlock					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
install -d -m0755 %{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__cp} -Rf -v docs/doc/* %{buildroot}%{_defaultdocdir}/%{name}-%{version}

#adding kbd-i18n components
%{__mkdir_p} %{buildroot}%{_sysconfdir}/profile.d

%find_lang %name

#-----------------------------------------------------------------------------
%changelog
